import { Storage } from './Storage';
import { SecureStorage } from './SecureStorage';
export declare const setCvStorageApi: (storageApi: any) => void;
declare class ClientStorage implements Storage {
    private static _storage;
    static setStorageApi(storageApi: any): void;
    constructor();
    getSecureInstance(): SecureStorage;
    getItem(key: string): Promise<string>;
    getJson(key: string): Promise<any>;
    setItem(key: string, value: string): Promise<void>;
    setJson(key: string, value: any): Promise<void>;
    removeItem(key: string): Promise<void>;
    clearAll(): Promise<void>;
    getAllKeys(): Promise<string[]>;
    multiRemove(keys: Array<string>): Promise<void>;
}
export declare const storage: ClientStorage;
export {};
